import 'dart:convert';

import 'package:unit2/model/passo/land_classification.dart';
import 'package:http/http.dart' as http;
import 'package:unit2/utils/request.dart';
import 'package:unit2/utils/urls.dart';

class LandClassificationService {
  static final LandClassificationService _instance =
      LandClassificationService();
  static LandClassificationService get instance => _instance;

  String xClientKey = "unitK3CQaXiWlPReDsBzmmwBZPd9Re1z";
  String xClientKeySecret = "unitcYqAN7GGalyz";

  Future<List<LandClassification>> fetch() async {
    String path = Url.instance.getLandClassification();
    Map<String, String> headers = {
      'Content-Type': 'application/json; charset=UTF-8',
      'X-Client-Key': xClientKey,
      'X-Client-Secret': xClientKeySecret
    };

    try {
      http.Response response = await Request.instance
          .getRequest(param: {}, path: path, headers: headers);

      if (response.statusCode == 200) {
        final List result = jsonDecode(response.body)['data'];

        return result.map(((e) => LandClassification.fromJson(e))).toList();
      } else {
        throw Exception(response.reasonPhrase);
      }
    } catch (e) {
      throw e.toString();
    }
  }
}
